Enhavo
Indekso 🔎︎

# Left Function

Liveras la nombron da maldekstraj signoj specifitaj el ĉeno.

### Syntax:

    Left (string As String, length As Long) As String

### Return value:

Ĉeno

### Parameters:

string: Any string expression that you want to return the leftmost characters from.

length: Numeric expression that specifies the number of characters that you want to return. If length = 0, a zero-length string is returned. The maximum allowed value is 2,147,483,648.

La jena ekzemplo konvertas daton en formato YYYY.MM.TT al formato MM/TT/YYYY.

### Error codes:

5 Nevalida procedurvoko

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Please input a date in the international format 'YYYY-MM-DD'")sInput = InputBox("Bonvolu tajpi daton laŭ la internacia formato 'YYYY-MM-TT'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Rilataj temoj

String functions